# Uses of Class
java.io.IOError

Packages that use IOError
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of IOError in jdk.jshell

Methods in jdk.jshell that throw IOError
Modifier and Type
Method
Description
`String`
JShellConsole.`readLine(String prompt)`
Provides a prompt, then reads a single line of text from the console.
`char[]`
JShellConsole.`readPassword(String prompt)`
Provides a prompt, then reads a password or passphrase from the console with echoing disabled.